> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rogeriq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a conversation

` PATCH /projects/{projectId}/conversations/{conversationId} `

Update a conversation

## Servers

- ` https://api.rogeriq.com/api/v1 `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key with `riq_` prefix

## Parameters

### ` projectId ` (path, required)

- ` value `: type ` string `

### ` conversationId ` (path, required)

- ` value `: type ` string `

## Request body (optional)

Content type: ` application/json `

- ` value `: type ` unknown `

## Responses

### ` 200 ` — Updated conversation

Content type: ` application/json `

- ` value `: type ` object `

  - ` data `: type ` object `

    - ` id `: type ` string `

    - ` project_id `: type ` string `

    - ` contact_id `: type ` string `; nullable

    - ` subject `: type ` string `; nullable

    - ` status `: type ` string `

      - enum: ` ["open","snoozed","resolved","closed"] `

    - ` priority `: type ` string `

      - enum: ` ["low","normal","high","urgent"] `

    - ` channel `: type ` string `

      - enum: ` ["email","chat","slack","discord","telegram","api","widget"] `

    - ` assigned_to `: type ` string `; nullable

    - ` tags `: type ` array `

      - ` array item `: type ` string `

    - ` ai_resolved `: type ` boolean `

    - ` created_at `: type ` string `; format ` date-time `

    - ` updated_at `: type ` string `; format ` date-time `

## Request examples

### cURL

```curl
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/conversations/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d 'null'
```

### JavaScript

```javascript
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations/string', {
  method: 'PATCH',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify(null)
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/conversations/string', headers=headers, json=null)
print(response.json())
```